/**
 * OW2 Specifications
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: SOAPMessageHandler.java 4359 2008-12-10 10:24:40Z sauthieg $
 * --------------------------------------------------------------------------
 */

package javax.jws.soap;

/**
 * @author Guillaume
 *
 */
@Deprecated
public @interface SOAPMessageHandler {

    /**
     * Name of the handler class.
     */
    String className();

    /**
     * List of SOAP headers processed by the handler.
     * Each element in this array contains a QName which
     * defines the header element processed by the handler.
     * The QNames are specified using the string notation
     * described in the documentation for
     * javax.xml.namespace.QName.valueOf(String qNameAsString).
     */
    String[] headers() default {};

    /**
     * Array of name/value pairs that should be passed to the
     * handler during initialization.
     */
    InitParam[] initParams() default {};

    /**
     * Name of the handler. Defaults to the name of the handler class.
     */
    String name() default "";

    /**
     * List of SOAP roles/actors implemented by the handler.
     */
    String[] roles() default {};
}
